QGIS Application - Bug report #3723
Transparency settings are not applied from *.qml
2011-04-12 09:36 PM - dr -

Status: Closed

Priority: Low

Assignee:

Category: Rasters

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13782
Description

Open raster layer and try apply external *.qml style file. Transparency setting are not applied. Rasterfile and *.qml:
gis-lab.info/share/DR/transparency.7z

History

#1 - 2011-04-12 09:37 PM - dr -

Clickable link: [http:/gis-lab.info/share/DR/transparency.7z]

#2 - 2011-04-17 02:34 PM - Anne Ghisla

What are the exact steps to reproduce the problem?

| can load the style file, and transparency is set to None (255). | can also modify the value in the Properties dialog, apply changes, save style in a new file,

and upload the new style successfully. But I'm on Fedora, running commit:f8e10a33 (SVN r15725).

#3 - 2011-04-18 03:21 AM - Alexander Bruy

Well, using attached sample after applying mcd45.gml to raster following pixels should be transparent: 0.000000, 9998.000000, 9999.000000,

900.000000, 10000.000000. But they are not transparent. There is only one entry in transparency table -2147483648.00 which is wrong and not used in

raster at all.

Probably this is related with #3733

#4 - 2011-12-10 02:10 AM - Radim Blazek

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

Fixed in 3b9b2d87.

Please verify and close.

#3733 is another issue.
http://gis-lab.info/share/DR/transparency.7z

#5 - 2011-12-10 02:50 AM - Alexander Bruy
- Resolution set to fixed

- Status changed from Open to Closed

Yes, it's fixed now. Thanks, Radim
